Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Interface IMsgDataElement

All Known Implementing Classes:
  MsgDataElementImpl

Deprecated. This class is deprecated as of 2004-05-17. Use the corresponding class available in org.eclipse.hyades.logging.events.cbe*

public interface IMsgDataElement

Since:
  1.0
Version:
  1.0.1
Author:
  rduggan Taken from "Canonical Situation Data Format: The Common Base Event V1.0.1 ACAB.BO0301.0.1" This MsgDataElementImpl represents the data that is used to specify all the related information associated with the message that this event holds.

Method Summary
`void` | `addMsgCatalogToken(IMsgCatalogToken value)` Deprecated. Adds a new MsgCatalogToken to this object.
`IMsgCatalogToken` | `addMsgCatalogTokenAsString(java.lang.String value)` Deprecated. Adds a new MsgCatalogToken to this object.
`void` | `clearMsgCatalogTokens()` Deprecated. Removes all IMsgCatalogToken that this event is referencing
`java.lang.String` | `getMsgCatalog()` Deprecated. Returns the msgCatalog The qualified name of the message catalog that contains the translated message specified by the msgCatalogId.
`java.lang.String` | `getMsgCatalogId()` Deprecated. Returns the msgCatalogId.
`java.util.List` | `getMsgCatalogTokens()` Deprecated. Returns the msgCatalogTokens.
`java.lang.String[]` | `getMsgCatalogTokensAsStrings()` Deprecated. Returns the msgCatalogTokens.
`java.lang.String` | `getMsgCatalogType()` Deprecated. Returns the msgCatalogType.
`java.lang.String` | `getMsgId()` Deprecated. Returns the msgId.
`java.lang.String` | `getMsgIdType()` Deprecated. Returns the msgIdType.
`java.lang.String` | `getMsgLocale()` Deprecated. Returns the msgLocale.
`void` | `init()` Deprecated. Resets the object's properties to their initial (e.g. null) state.
`void` | `setMsgCatalog(java.lang.String msgCatalog)` Deprecated. Sets the msgCatalog.
`void` | `setMsgCatalogId(java.lang.String msgCatalogId)` Deprecated. Sets the msgCatalogId.
`void` | `setMsgCatalogTokens(IMsgCatalogToken[] msgCatalogTokenArray)` Deprecated. Sets the msgCatalogTokens.
`void` | `setMsgCatalogTokensAsStrings(java.lang.String[] msgCatalogTokenArray)` Deprecated. Sets the msgCatalogTokens.
`void` | `setMsgCatalogType(java.lang.String msgCatalogType)` Deprecated. Sets the msgCatalogType.
`void` | `setMsgId(java.lang.String msgId)` Deprecated. Sets the msgId.
`void` | `setMsgIdType(java.lang.String msgIdType)` Deprecated. Sets the msgIdType.
`void` | `setMsgLocale(java.lang.String msgLocale)` Deprecated. Sets the msgLocale.

Method Detail

### getMsgCatalog

    public java.lang.String getMsgCatalog()

  Deprecated.
  Returns the msgCatalog The qualified name of the message catalog that contains the translated message specified by the msgCatalogId. This is an OPTIONAL property. The maximum string length of the msgCatalog MUST not exceed 128 bytes.

  Returns:
    String

### getMsgCatalogId

    public java.lang.String getMsgCatalogId()

  Deprecated.
  Returns the msgCatalogId. The index or the identifier for a message that is used for resolving the message text from a message catalog. This is an OPTIONAL property.

  Returns:
    String

### getMsgCatalogTokens

    public java.util.List getMsgCatalogTokens()

  Deprecated.
  Returns the msgCatalogTokens. An array of IMsgCatalogTokens used as substitution values for resolving a NLS based message into formatted text. The order of the substitution values is implied by the implicit order of the array elements. If there are no substitution values, then it does not need to be specified. This is an OPTIONAL property. The maximum string length of the msgCatalogTokens property MUST not exceed 255 bytes.

  Returns:
    List of Message Catalog Tokens, otherwise an empty list.

### getMsgCatalogTokensAsStrings

    public java.lang.String[] getMsgCatalogTokensAsStrings()

  Deprecated.
  Returns the msgCatalogTokens. An array of strings used as substitution values for resolving a NLS based message into formatted text. The order of the substitution values is implied by the implicit order of the array elements. If there are no substitution values, then it does not need to be specified. This is an OPTIONAL property. The maximum string length of the msgCatalogTokens property MUST not exceed 255 bytes.

  Returns:
    String[]

### clearMsgCatalogTokens

    public void clearMsgCatalogTokens()

  Deprecated.
  Removes all IMsgCatalogToken that this event is referencing

### addMsgCatalogToken

    public void addMsgCatalogToken(IMsgCatalogToken value)

  Deprecated.
  Adds a new MsgCatalogToken to this object.

### addMsgCatalogTokenAsString

    public IMsgCatalogToken addMsgCatalogTokenAsString(java.lang.String value)

  Deprecated.
  Adds a new MsgCatalogToken to this object.

### getMsgId

    public java.lang.String getMsgId()

  Deprecated.
  Returns the msgId. Specifies the message identifier of the event. This identifier is commonly a unique value string of alphanumeric or numeric characters. It can be as simple as a string of numeric characters identifying a message in a message catalog or a multi-part string of alphanumeric characters (e.g., DBT1234E). This is a REQUIRED property. The maximum string length for msgId MUST not exceed 255 bytes.

  Returns:
    String

### getMsgIdType

    public java.lang.String getMsgIdType()

  Deprecated.
  Returns the msgIdType. Specifies the meaning and format of the msgId. If the ID conforms to or represents a standard or a well-known convention, it is named by this property. Examples are: IBM3.4, IBM4.4, IBM3.1.4, IBM3.4.1, IBM4.4.1, and IBM3.1.4.1. The current nonexclusive list of reserved keywords include: 1. IBM 2. JMX 3. DottedName 4. Unknown This is a REQUIRED property. The maximum string length for msgId MUST not exceed 32 bytes.

  Returns:
    String

### getMsgLocale

    public java.lang.String getMsgLocale()

  Deprecated.
  Returns the msgLocale. The locale by which this msg property is rendered. Its value is a locale code in conformance with ISO/IEC 639.1 language code and ISO/IEC 3166 country code. This is an OPTIONAL property. The maximum string length of the msgLocale MUST not exceed 5 bytes.

  Returns:
    String

### getMsgCatalogType

    public java.lang.String getMsgCatalogType()

  Deprecated.
  Returns the msgCatalogType.

  Returns:
    String

### setMsgCatalog

    public void setMsgCatalog(java.lang.String msgCatalog)

  Deprecated.
  Sets the msgCatalog. The qualified name of the message catalog that contains the translated message specified by the msgCatalogId. This is an OPTIONAL property. The maximum string length of the msgCatalog MUST not exceed 128 bytes.

  Parameters:
    `msgCatalog` - The msgCatalog to set

### setMsgCatalogId

    public void setMsgCatalogId(java.lang.String msgCatalogId)

  Deprecated.
  Sets the msgCatalogId. The index or the identifier for a message that is used for resolving the message text from a message catalog. This is an OPTIONAL property.

  Parameters:
    `msgCatalogId` - The msgCatalogId to set

### setMsgCatalogTokensAsStrings

    public void setMsgCatalogTokensAsStrings(java.lang.String[] msgCatalogTokenArray)

  Deprecated.
  Sets the msgCatalogTokens. An array of strings used as substitution values for resolving a NLS based message into formatted text. The order of the substitution values is implied by the implicit order of the array elements. If there are no substitution values, then it does not need to be specified. This is an OPTIONAL property. The maximum string length of the msgCatalogTokens property MUST not exceed 255 bytes.

### setMsgCatalogTokens

    public void setMsgCatalogTokens(IMsgCatalogToken[] msgCatalogTokenArray)

  Deprecated.
  Sets the msgCatalogTokens. An array of IMsgCatalogTokens used as substitution values for resolving a NLS based message into formatted text. The order of the substitution values is implied by the implicit order of the array elements. If there are no substitution values, then it does not need to be specified. This is an OPTIONAL property. The maximum string length of the msgCatalogTokens property MUST not exceed 255 bytes.

### setMsgId

    public void setMsgId(java.lang.String msgId)

  Deprecated.
  Sets the msgId. Specifies the message identifier of the event. This identifier is commonly a unique value string of alphanumeric or numeric characters. It can be as simple as a string of numeric characters identifying a message in a message catalog or a multi-part string of alphanumeric characters (e.g., DBT1234E). This is a REQUIRED property. The maximum string length for msgId MUST not exceed 255 bytes.

  Parameters:
    `msgId` - The msgId to set

### setMsgIdType

    public void setMsgIdType(java.lang.String msgIdType)

  Deprecated.
  Sets the msgIdType. Specifies the meaning and format of the msgId. If the ID conforms to or represents a standard or a well-known convention, it is named by this property. Examples are: IBM3.4, IBM4.4, IBM3.1.4, IBM3.4.1, IBM4.4.1, and IBM3.1.4.1. The current nonexclusive list of reserved keywords include: 1. IBM 2. JMX 3. DottedName 4. Unknown This is a REQUIRED property. The maximum string length for msgId MUST not exceed 32 bytes.

  Parameters:
    `msgIdType` - The msgIdType to set

### setMsgLocale

    public void setMsgLocale(java.lang.String msgLocale)

  Deprecated.
  Sets the msgLocale. The locale by which this msg property is rendered. Its value is a locale code in conformance with ISO/IEC 639.1 language code and ISO/IEC 3166 country code. This is an OPTIONAL property. The maximum string length of the msgLocale MUST not exceed 5 bytes.

  Parameters:
    `msgLocale` - The msgLocale to set

### setMsgCatalogType

    public void setMsgCatalogType(java.lang.String msgCatalogType)

  Deprecated.
  Sets the msgCatalogType.

  Parameters:
    `msgCatalogType` - The msgCatalogType to set

### init

    public void init()

  Deprecated.
  Resets the object's properties to their initial (e.g. null) state.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD